﻿html, body {
    margin:0px;
    padding:0px;
    height:100%;
}

body {
    background-color: #FAFAFA;
    font-family: Inter;
}
.Error {
    font-weight: normal;
    font-size: 12pt;
    color: #FF0000;
}

.Success {
    font-weight: normal;
    font-size: 12pt;
    color: #008800;
}

.Navigation {
    background-color: #FFFFFF;
    height: 50px;
    width: 100%;
    /*box-shadow: var(--box-shadow);*/
    border-bottom: var(--border);
    color: var(--color1);
    text-align: left;
}
    .Navigation .Welcome {
        /*padding: 20px;*/
        font-size: 16pt;
        display: inline-block;
        display:none;
    }
    .Navigation .Dataset {
        display: inline-block;
    }
    .Navigation .Credit_Balance {
        text-align: center;
        cursor: pointer;
        padding: 10px;
        margin: 5px 10px;
        border-radius: 5px;
        background: #FFFFFF;
        color: var(--color1);
        font-weight: bold;
        display:inline-block;
        float:right;
    }
        .Navigation .Credit_Balance:hover{
            text-decoration:underline;
        }

.Project_Navigation {
    margin-left: 60px;
    display: inline-block;
}
.Navigation_Item {
    padding: 14px 20px;
    cursor: pointer;
    display: inline-block;
}
.Navigation_Item_Active {
    background: #FFFFFF;
    color: var(--color1);
    font-weight: bold;
    border-bottom: 2px solid var(--color1);
}

.Logo {
    /*position: absolute;
        right: 10px;
        top: 10px;*/
    margin-left: 10px;
    float: left;
    padding: 8px;
}

.Navigation .Dataset select {
    width: calc(100% - 20px);
    margin: 0px 10px;
    text-align: center;
    /* color: var(--color1); */
    font-weight: bold;
    /* border: 1px solid var(--color1); */
    padding: 10px;
    margin-left: 40px;
    background: var(--color1);
    color: #FFFFFF;
}

input[type=checkbox],
input[type=radio] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    outline: none !important;
    background: #FFFFFF;
    border-radius: 5px;
    border: var(--border);
    width: 25px;
    height: 25px;
    cursor: pointer;
    transition: background-color .2s, box-shadow .2s;
}
    input[type=checkbox]:checked, 
    input[type=radio]:checked {
        background-image: url(/images/Check.png);
        background-repeat: no-repeat;
        background-size: 15px;
        background-position: center center;
        background-color: var(--color1);
    }
select {
    padding: 10px;
    border-radius: 5px;
    border: var(--border);
    background-color: #FFFFFF;
}
textarea {
    border: var(--border);
    border-radius: 5px;
    padding: 5px;
    font-family: 'Inter';
    outline: none;
}
    textarea:hover,
    textarea:active,
    textarea:focus {
        border: 1px solid var(--color1);
    }
input[type=text],
input[type=number],
input[type=password] {
    border: var(--border);
    border-radius: 5px;
    padding: 10px 20px;
    font-family: 'Inter';
    outline: none;
}
    input[type=text]:hover,
    input[type=text]:active,
    input[type=text]:focus,
    input[type=number]:hover,
    input[type=number]:active,
    input[type=number]:focus,
    input[type=password]:hover,
    input[type=password]:active,
    input[type=password]:focus,
    select:hover,
    select:active,
    select:focus {
        border: 1px solid var(--color1);
    }

        h1 {
            color: var(--color1);
            font-weight: bold;
            margin: 0px;
        }

        .Button {
            padding: 10px 20px;
            background-color: var(--color1);
            color: #FFFFFF;
            border-radius: 5px;
            box-shadow: var(--box-shadow);
            display: inline-block;
            cursor: pointer;
            transition: background-color .2s;
        }

            .Button:hover {
                background-color: var(--color2);
            }

.Button_Cancel {
    background-color: #888888;
}
.Button_Delete {
    background-color: #AA000088;
}
.Button_Delete:hover {
    background-color: #AA0000;
}

            .Button_Cancel:hover {
                background-color: #AAAAAA;
            }
.Button[disabled='true'] {
    opacity: 0.4;
}
    .Button[disabled='true']:hover {
        opacity: 0.4;
        background-color: var(--color1);
    }

        .Add {
            width: 20px;
            padding: 5px;
            background-color: #FFFFFF;
            border-radius: 50px;
            display: inline-block;
            color: var(--color1);
            cursor: pointer;
            font-weight: bold;
        }

        .Content {
            position: absolute;
            left: 0px;
            top: 50px;
            overflow: auto;
            height: calc(100% - 50px);
            width: 100%;
        }
.Content2 {
    position: absolute;
    left: 0px;
    overflow: auto;
    height: calc(100% - 0px);
    width: 100%;
}

.Section {
    display: inline-block;
    float: left;
    margin: 40px;
}

        .Section_Title {
            color: var(--color1);
            font-weight: bold;
        }

.Section_Content,
.Box {
    background-color: #FFFFFF;
    padding: 20px;
    border-radius: 5px;
    border: var(--border);
}

        .Title {
            font-weight: bold;
            font-size: 11pt;
        }

        .Info {
            color: #AAAAAA;
            font-size: 10pt;
        }

        table {
            width: 100%;
        }

            table thead tr td {
                background-color: var(--color1);
                color: #FFFFFF;
                border-right: 1px solid #FAFAFA;
                border-radius: 5px;
            }

        tr td {
            background-color: #FFFFFF;
            padding: 10px;
            border-bottom: 2px solid #FAFAFA;
            border-radius: 5px;
            transition: background-color .2s;
        }

        tbody tr:nth-child(odd) td {
            background-color: #FCFCFC;
        }

        tbody tr:hover td {
            /*background-color: var(--color2) !important;
    color:#FFFFFF;*/
        }

        .Generation_Status {
            font-size: 10pt;
            font-weight: bold;
        }

        .Generation_Status_Generating {
            color: var(--color1);
        }

        .Generation_Status_Completed {
            color: var(--positive);
        }
.Generation_Status_Processing {
    color:var(--color1);
}

.Loading {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    opacity: .7;
    background: #FFFFFF;
    z-index: 1000000;
    border-radius: 20px;
}

    .Loading .loader {
        position: absolute;
        left: calc(50% - 20px);
        top: calc(50% - 20px);
    }
.loader {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 3px solid var(--color1);
    border-right: 3px solid transparent;
    box-sizing: border-box;
    margin: auto;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.Banner_Section {
    background: #FFFFFF;
    height: calc(100% - 1px);
    display: inline-block;
    border-top: var(--border);
    /* box-shadow: var(--box-shadow); */
    border-right: var(--border);
    min-width: 340px;
    vertical-align: top;
}

.Popup_Background {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    opacity: .7;
    background: #000000;
    z-index: 20;
}
.Popup {
    background-color: #FFFFFF;
    border-radius: 10px;
    box-shadow: var(--box-shadow-big);
    padding: 40px;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
    z-index: 21;
}
.Popup_Close {
    float:right;
    width:40px;
    height:40px;
    border-radius:20px;
    background: url('/images/icons/close.png') no-repeat center center var(--color1);
    z-index:100;
    cursor:pointer;
}
    .Popup_Close:hover{
        background-color:var(--color2);
    }

    .Credits_Sub {
        font-size: 80%;
        opacity: 0.7;
        transform: translate(0px, -20%);
        display: inline-block;
        width: 10px;
    }


.Audience {
    border: 1px solid var(--background-color-secondary);
    background: var(--background-color-light);
    transform: translate(0px, -1px);
}

    .Audience:hover,
    .Audience_Active {
        border: 1px solid var(--color1);
        color: var(--color1);
        background-color: #334A7910;
    }

.Audience_Description {
    background: transparent;
    margin: 5px;
    width: calc(100% - 90px);
    field-sizing: content;
    vertical-align: middle;
    border: none !important;
    display:inline-block;
}

.Audience_Share {
    display: inline-block;
    width: 60px;
    text-align: right;
    padding: 10px !important;
}

.Audience_Active .Audience_Delete {
    display: inline-block;
}

.Audience_Delete {
    position: absolute;
    display: none;
    transform: translate(10px, 0px);
}

.Note {
    display: inline;
    font-size: 10pt;
}
.Button_Add {
    display: inline-block;
    padding: 5px;
    background: #FFFFFF;
    border-radius: 25px;
    color: var(--color1);
    width: 20px;
    text-align: center;
    border: 1px solid var(--background-color-secondary);
    cursor: pointer;
    /*box-shadow: var(--box-shadow-big);*/
}

    .Button_Add:hover {
        background: var(--color1);
        color: #FFFFFF;
    }

.Button_Add_Grey {
    background: var(--background-color-light);
}

.Buttons {
    text-align: right;
    padding: 20px 0px;
}
    .Buttons .Button {
        margin-left: 10px;
    }

.ConfirmBox {
    padding:20px;
}
.ConfirmBox_Label {
    font-size: 10pt;
}


.Question_Order_Buttons {
    display: none;
    position: absolute;
    transform: translate(-50px, -20px);
    box-shadow: var(--box-shadow-big);
    background-color: #FFFFFF;
    border-radius: var(--border-radius-small);
    overflow: hidden;
}

    .Question_Order_Buttons img {
        display: block;
        background-color: #444444;
        cursor: pointer;
    }
    .Question_Order_Buttons img:hover {
        background-color:var(--color1);
    }

    .Question:hover .Question_Order_Buttons {
        display: block;
    }

.Toolbar {
    margin-bottom:10px;
}

.Textbox_Unit {
    float: left;
    width: 0px;
    overflow: visible;
    transform: translate(10px, 11px);
    font-size: 10pt;
}

.Table_Scrollable {
    display:block;
}
.Table_Scrollable tbody {
    display: block;
    overflow: auto;
}
    .Table_Scrollable tr {
        display: table;
        width: 100%;
        table-layout: fixed;
    }

.Error_Link {
    display: inline-block;
    color: #FF0000;
    cursor: pointer;
}
    .Error_Link:hover {
        text-decoration: underline;
    }